Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.testing.async
Class TimedExecutor

    java.lang.Object
      org.hibernate.testing.async.TimedExecutor

    public class TimedExecutor

extends Object

Constructor Summary
`TimedExecutor(long timeOut)`
`TimedExecutor(long timeOut, int checkMilliSeconds)`

Method Summary
`void` | `execute(Executable executable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimedExecutor

    public TimedExecutor(long timeOut)

### TimedExecutor

    public TimedExecutor(long timeOut,
                         int checkMilliSeconds)

Method Detail

### execute

    public void execute(Executable executable)
                 throws TimeoutException

  Throws:
    `TimeoutException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.